GNU bug report logs - #52074
29.0.50; Add key binding for find-library

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Manuel Uberti <manuel.uberti@HIDDEN>; merged with #51240; dated Wed, 24 Nov 2021 06:55:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 52074 <at> debbugs.gnu.org:


Received: (at 52074) by debbugs.gnu.org; 24 Nov 2021 18:32:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 24 13:32:09 2021
Received: from localhost ([127.0.0.1]:54938 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpx3w-0003Mg-Sc
	for submit <at> debbugs.gnu.org; Wed, 24 Nov 2021 13:32:09 -0500
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:6312)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1mpx3t-0003MU-R9
 for 52074 <at> debbugs.gnu.org; Wed, 24 Nov 2021 13:32:07 -0500
Received: from pps.filterd (m0246627.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 1AOHcrqx031505; 
 Wed, 24 Nov 2021 18:32:04 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : references : content-type : content-transfer-encoding
 : mime-version; s=corp-2021-07-09;
 bh=CFft3HZtBp3Lvx2PBL0wLAfp/fP5974BV4joGbzFz/0=;
 b=Q0eOV4ZzkPEji9L16zqjLypRTeSbtKoo0jVkzKYRdkRgbQ6qE/PIkcXR6G42K1lyFqLv
 ptIjhEumFLXSZpAfVJOSdVXnfuHCKv6Mv5sAxOQLP1NPnLWX+xh1YHb9Pcfsdha/8WVU
 Igw4noPFveHKs3IOwU4mgZFWA9E6UPIIgmdsQKn/L0WsePohN9HFZLLURPg2r324kEm8
 Wqm71zNqTp9dXAtb+eKNsQhxYMidJzmNH6LDE2gEEEh7jLanchQ9oMJKWY8FkhZOVTeS
 3O8pHmX5I+CXqy2J47i6CAZbcw9OcQU24mcQlTJiphEp/bVblyVxVTsHt/zagA86e7Yh 6g== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by mx0b-00069f02.pphosted.com with ESMTP id 3chpeespnm-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 24 Nov 2021 18:32:04 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.1.2/8.16.1.2) with SMTP id 1AOIPPdA156456;
 Wed, 24 Nov 2021 18:32:03 GMT
Received: from nam10-bn7-obe.outbound.protection.outlook.com
 (mail-bn7nam10lp2102.outbound.protection.outlook.com [104.47.70.102])
 by aserp3020.oracle.com with ESMTP id 3ceru7gjh7-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 24 Nov 2021 18:32:02 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=VMTlLnWCREf8comQEQUgMPVMvVZts8OxqvHrRHoAf0mG96aHgvTuIx3lk9ljeBTigzAMv9LvXxFFWp36dBQ9JYPw79gdD86tYisa+bBMgaQo9XXwqFGJyTpTRIokvCw6tHCOBiutiGxkE7WGXGW4pUPVc5Ypoq0q2zzGnra0c66ev4OIxALbYwjbHsgtpuj/bdJeWuSm1i5P/orTKwSp61HVSHo4AwFqu/2f2oahlnBuBY1+dQ0/5BSgnFBFHAemsAkWHllmRTP7hQnCjpLxzWjIzVif1+4jYQfIRWNQcDXSMnnj6Xc3HmeyckaIKVSHAaz3Uk1ao6x9QSu14mi09w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=CFft3HZtBp3Lvx2PBL0wLAfp/fP5974BV4joGbzFz/0=;
 b=CaifCT0i6ampDI0bmOGsggdtTbA5W7e6KGHJr2s/aWNxfcErAFZhyDjnElYKoqycRlguD8DJ9Wi/0CLqfT76Ns4zR/vK/qu99Ypfc3EP/jHTu2ZxLt9qbkZONPOXdBys1R5HCvOnqFKD/FTWSfmwSXDGiibUnAV/FEldnC7hDJ7j93mrPqtNvjRPPeFTv4SOPplwjBOwHYGreLXSNiXKH5bPE6KL280g3ptT6YCjdADswosd+24ANhlBviZKBnrrCfxkKM+nVS7XsVMHJuNWevGjfhrxZ5vX+tw4cKKc/wHscJRiHjRHkcebiuErNuLvJF1fydLfOC332VSIdSE5UA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=CFft3HZtBp3Lvx2PBL0wLAfp/fP5974BV4joGbzFz/0=;
 b=srd2vX5VmqZKyTnT+vT1PuhVmmgMO0CujGR3cANUuGTOT984K/yRIh1DDapxiFdY9fhHV60l3GOZdjDROI30ytLpSvTTDRBNrlqo7Bdr8SfM2Pk/0RRpCudUxf1atJVLKga/6j1Dk2K+TPufiNT6JHArZ0/bNhYDNLCVDtpLJ34=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BYAPR10MB2758.namprd10.prod.outlook.com (2603:10b6:a02:ba::12)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4734.21; Wed, 24 Nov
 2021 18:32:01 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::4588:646c:e330:8bc0]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::4588:646c:e330:8bc0%7]) with mapi id 15.20.4713.026; Wed, 24 Nov 2021
 18:32:00 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Manuel Uberti <manuel.uberti@HIDDEN>, "52074 <at> debbugs.gnu.org"
 <52074 <at> debbugs.gnu.org>
Subject: RE: [External] : bug#52074: 29.0.50; Add key binding for find-library
Thread-Topic: [External] : bug#52074: 29.0.50; Add key binding for find-library
Thread-Index: AQHX4QUmlfvdov50QE2jeKfxN55y5qwS/bewgAABQfA=
Date: Wed, 24 Nov 2021 18:32:00 +0000
Message-ID: <SJ0PR10MB5488CC4A8FE5E53B876ED90EF3619@HIDDEN>
References: <8cbad051-6fa0-958a-d2a6-4ba1ab1b7361@HIDDEN> 
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 2b1b5cf6-0bf4-4d6c-2854-08d9af78b489
x-ms-traffictypediagnostic: BYAPR10MB2758:
x-microsoft-antispam-prvs: <BYAPR10MB27587E14ACA3A071FF0CB162F3619@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:3173;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: zsKJsPibP8b1tELo7ES/rsMmeAoYmHiH0qWN5vHLRda5YwEp26ow8XCWs4kmlGIdqoThOlv5ns6RE4M0uwvZDgAh5o3Q9e9PHMJ39YruluT2E0SVsO5/d9nmRzRFuWT8eDajcBJeZy7uhBxM5X5YUIyjRAbiA13vXQYWAI2moDwp2jDA7tCVPwYFCrqIzXaHbmztgtKZu8/I7FD3ig+6K9QcCW5bT3KEZpueQYm4MCrlkxNg09dM9H4y6a4R29eciHy/nDT3LZw/EGam3dEiS9pCqpR3CJyq1hmjc4f0taG0Edn6YtgB5kU0lgQpFD0+CqPrQmW5F90aqaBpXeEjxexM1CpUM5CK2CUOKdC9GCbH8A7LbKBvpYj19HXHecXojvE7hTc07RWAR/b67tk8xDAXX9OmhESXKENFqMs14MP+dDVtse2WCCp75CypRVKzFNgO6dUpzGA7L/aU7KQr9HwaENW2D+H7nRbmV6TA3U1tC/CnlfoPmiaRL5ZtwsFh3zO4x9Aw3QyUUJWEh3D5C6zvWLLcX+zYJnXNB3XbhWMRmOvruKi5qZFKvpHy4+grILUZdxc7NHJEtjelWmfo1UlEGFC9YkX1gp86vCmJrQxA785ihGuVTJ86vlA5ZhOqZDeubLe53PJFz5XUTCHNEGxBIFVUq+RD865d0eTP1jmL0DjU4K/aNhs7pmzEuE2R+/UU8VleZUhjl/t09oIqpJz9ThMQZP+thDSWFEfbipGv2vlu/qiqfIJhFQqZtHqtJSYwY7Zkq/OptyJokUCkZVV25vSoOaxy4T+sA8I2kr4=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(44832011)(508600001)(33656002)(86362001)(316002)(66946007)(110136005)(8676002)(26005)(2906002)(9686003)(5660300002)(38070700005)(966005)(186003)(122000001)(38100700002)(55016003)(66476007)(64756008)(66446008)(66556008)(8936002)(558084003)(6506007)(71200400001)(76116006)(52536014)(7696005);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?utf-8?B?RnBST2hDbWU1S0NIcmtla3lQMkQrT2lveG1neExGT1JZa3BxdHEwSExGbTJM?=
 =?utf-8?B?M1BCNE1CWHh5ZkJ6NE84amM0Ry9LbjBCYnZTZGtrV2tJclRsRVBRK1VqaVBM?=
 =?utf-8?B?eTZRaVdvRThHTFM2S1lUVUNmaWRQd2ZvbG8vUC81NFYyNklKZzE0QzJYL0R2?=
 =?utf-8?B?U1AvbDlCWDZhUEJIVE9keW5PSk9iNnNVTUMxVmtLc2VqbnV5WjJKMnErM2t3?=
 =?utf-8?B?YWRCLzdsdUttQndzUXkwanEwWFpubEtTR1NsNG04T2VQOVJIL3VBRjZIM2Zn?=
 =?utf-8?B?L3F5V3NYMzFIY25QOTBpWVo5ZzN1OVlwc0t3OFBISGNrOWxvZ0ZNSTc4cUh0?=
 =?utf-8?B?Qlh6ZVhwMlh6UGVzbVFpWDhscFh0WTJLMHcyZ0RGcFpOK3ltQytiQnlvNDZ0?=
 =?utf-8?B?Y0dIUXhvdUJ2UGZuUnZUVk0vd3hxOHlXWnZrMlBRN2M1YlF6TDVITzlQMy8v?=
 =?utf-8?B?NmwxY01sQmVkdFJTZ0xUVkI0NzRIQ2gxYWRRYVJ5TDBibG1RYnMwM1BDaTBM?=
 =?utf-8?B?MTRLTXJsa2ZZY2l2d0ZQd2xuemJpdHpZQUFLRmxCaGpsbXlrUGpPOHhremlY?=
 =?utf-8?B?M0VHam1CRDkvb3hlZUNxOTE3U0FlakhTNXAyL0hJeVJ4MCtLdVptZFBYOGdJ?=
 =?utf-8?B?QmtNRGFOazkrOWxUV04yTTVwRE9xRzRmc3NYNTFpRzNiLzBRb3BGUkxwZ2kw?=
 =?utf-8?B?ZzV6TWNDUy9TWUErbVk2VTh4aGZRT0g5OTFlQTZUbzVCUHE2NXpQd20wUlR1?=
 =?utf-8?B?NU9hcndXdXpRYnMrKzFKQmZJNTlrMUFTK0RrUzlrQStmZThEbG42eXQrd3dk?=
 =?utf-8?B?dStwa2x4V2FCcHNDMmdHS2Q0N25qdjc2QWEwaDRwUUNFY1NuQm5zT1JLbkFB?=
 =?utf-8?B?QjFPUHlBeXk0RlR1ZFZIbGlFV0tVQkxBelBsZFN1Qk9wa0NoekhZY1A0MHFE?=
 =?utf-8?B?VzNNT2Fpa243WEZXaUZzbEZITk1iZ0dKeVhTQ2V1Q1Rla1RranJrRW50cUx2?=
 =?utf-8?B?N1RhVU5DNFF3cEo4enEvSXNCVjMzZ0dKd01ZbFBtcElhMWhtcVEva2J2Ly9B?=
 =?utf-8?B?WEZ4MEdld3NOV1RET3NzZkxLcU1vY3FLbURialdwYXBWS05aeEJGSGc5aUUx?=
 =?utf-8?B?WTliVTVHR3ZodFhlaCtENWdXOU1HdUFSUFFYTVhoZTMwN0N2NmlxRUx2ZzZx?=
 =?utf-8?B?cWdXclJXb2I3V0lwZkJxTHlUblFVdFBxQnVTY0VIRVhEMzNCL3Qxb2RUV25R?=
 =?utf-8?B?MGpTaVpNQVBCdEtFQkxyY3dxZ1ZYczM3RDFlOG9aWHNNMzhjVEtkL1ZsSE1D?=
 =?utf-8?B?RzBRS0JyL2RWcFlaVlNFWnVwblkrRDJPSkVrc3czQmVzSSttb2Q3UzFabTdz?=
 =?utf-8?B?QUpWK1BEdllJcGptVEFOdEZKK3BrZ241SE02NDhsSkhzV01xUDV3My9zT3Vz?=
 =?utf-8?B?Q3RQbXNYWWdraS80aTU2Wk4zZzNmU2Y1ankyNkdmaXd3M0dieDRNNDFLc0dJ?=
 =?utf-8?B?eWh6S1hCNWRGYlN3NmhyZFlXblZxVGRaeFh6cFNUaHNDdnN5dld2OVhtM3Zu?=
 =?utf-8?B?dTV6MklTSitvUEhieU0xcXJ5Q3Z1RURhenc5eTdtMXlHTUVBL1IwMDFjaU16?=
 =?utf-8?B?NmF2WFNkMmZGU0Ric01mem02L3BzSGUzcmRyenVpbUdJSmYyUXI0WGdPb1ls?=
 =?utf-8?B?WXlVUzdkTkphb1RDVXZlcWZWVkVkZ0VvN1pHNVpCY2ZScWRLQy9wcGlVci9k?=
 =?utf-8?B?VHFKcXNleHU5d0E3WFB4K05YT3FkaXhnRWhCRHhWaVdKbFBPS1laN21FUzVL?=
 =?utf-8?B?UHd3a2wycC9iVG1mdS95QVVjVFlNdHlteisvTER0c0dmaUVSWkRyRHZOVHhy?=
 =?utf-8?B?VFdRZnhvK1pocVRPL2UwV0FNOTAyaHg1clRacWlnS1JzdiszWmVzVzE2VG1s?=
 =?utf-8?B?VzBWVCtGNll2eXNoRnBOR2FaN1NnUGEyRHcyazRFcjJQWjZzWFhid0tHMFAx?=
 =?utf-8?B?ZFRPZTNiSFpFRXBZUlI2Qzl0RFNLUWU1MjRUMzNIUG55U0k3eVBuWXR2UkRH?=
 =?utf-8?B?T2p1WHBHWExRa2JlQVFNNVJUbjVRd0FkVXdwR2JnWHN4MXZRTWhPSUIweHZU?=
 =?utf-8?B?cjM0aDRiVW1ycWVmblNBSklBMVFwdERLbjFZeEF4K3ZHNTBib1R3ZVFUS3Jm?=
 =?utf-8?B?NEE9PQ==?=
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 2b1b5cf6-0bf4-4d6c-2854-08d9af78b489
X-MS-Exchange-CrossTenant-originalarrivaltime: 24 Nov 2021 18:32:00.8882 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: aqJk2jysfwVXuarxK+0nW21vQk1s/D3f8zIqfF/CoWrXgRYihwvndLHFBUjKwmoqIbPhoArUTEoRm6jR4LRNtg==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BYAPR10MB2758
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10178
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 mlxscore=0 spamscore=0
 mlxlogscore=752 malwarescore=0 phishscore=0 adultscore=0 bulkscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2110150000
 definitions=main-2111240096
X-Proofpoint-GUID: 7M-zf-xPCdPoFwUZ4VQTJ58kzkgXT3Lk
X-Proofpoint-ORIG-GUID: 7M-zf-xPCdPoFwUZ4VQTJ58kzkgXT3Lk
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52074
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

PiBZZXMuIFNlZSBidWcgIzUxMjQwLg0KDQpFdmVuIHRoYXQgb25lIHdhcyBhIGR1cGxpY2F0ZSBv
ZiAjMjY3MTI/IGFuZCAjMjI3MC4NClRob3NlIGhhdmVuJ3QgZ290dGVuIGFueXdoZXJlLiAgQnV0
IG1heWJlIHlvdSdsbCBoYXZlIA0KYmV0dGVyIGx1Y2suLi4gIFRoaXMgZ29lcyBiYWNrIGF0IGxl
YXN0IDE0IHllYXJzLg0KDQpTZWUsIGZvciBleGFtcGxlOiANCg0KaHR0cHM6Ly9kZWJidWdzLmdu
dS5vcmcvY2dpL2J1Z3JlcG9ydC5jZ2k/YnVnPTI2NzEyIzgNCg0K




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52074; Package emacs. Full text available.
Forcibly Merged 51240 52074. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52074 <at> debbugs.gnu.org:


Received: (at 52074) by debbugs.gnu.org; 24 Nov 2021 18:30:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 24 13:30:50 2021
Received: from localhost ([127.0.0.1]:54929 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpx2f-0003Ji-RX
	for submit <at> debbugs.gnu.org; Wed, 24 Nov 2021 13:30:50 -0500
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:57237)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1mpx2d-0003JQ-Cm; Wed, 24 Nov 2021 13:30:48 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 0C40D24000B;
 Wed, 24 Nov 2021 18:30:38 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#52074: 29.0.50; Add key binding for find-library
Organization: LINKOV.NET
References: <8cbad051-6fa0-958a-d2a6-4ba1ab1b7361@HIDDEN>
 <87h7c2vx2p.fsf@HIDDEN>
 <86814524-852c-d65b-cb05-86cc0f274d9b@HIDDEN>
 <87k0gxwk2p.fsf@HIDDEN>
Date: Wed, 24 Nov 2021 20:29:47 +0200
In-Reply-To: <87k0gxwk2p.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 24 Nov 2021 18:16:14 +0100")
Message-ID: <86wnkx2yqs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52074
Cc: Manuel Uberti <manuel.uberti@HIDDEN>, 52074 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

forcemerge 51240 52074
quit

> Anybody else with opinions or ideas here?

This is duplicate of https://debbugs.gnu.org/51240
where both using the C-h keymap or C-x L/C-x 4 L/C-x 5 L
were proposed without a conclusive decision which one to prefer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52074; Package emacs. Full text available.

Message received at 52074 <at> debbugs.gnu.org:


Received: (at 52074) by debbugs.gnu.org; 24 Nov 2021 18:21:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 24 13:21:32 2021
Received: from localhost ([127.0.0.1]:54916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpwtg-00033k-N0
	for submit <at> debbugs.gnu.org; Wed, 24 Nov 2021 13:21:32 -0500
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:18478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1mpwtd-00033Z-5P
 for 52074 <at> debbugs.gnu.org; Wed, 24 Nov 2021 13:21:31 -0500
Received: from pps.filterd (m0246630.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 1AOGndb7026937; 
 Wed, 24 Nov 2021 18:21:28 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2021-07-09;
 bh=rx3eNZIYeonGl1aJm+BAzqiKUpmGIeTdSBL+XoKvGSA=;
 b=Epr5YaQRMsv9NxHte/5+gOqBfAQC0CJcsKwnhPidIdEuMO9cxdxD1pN1rrWBaIzT/X2Z
 JAAnKNmF+2RHvOba5zq5wIZjz/OXp0IRI2IAOcuD1kMQVpz3h8gUxEcNoCRwp9VUkE7w
 id6ueiAbH3usXf3Arjl9co8BD/CMvu6uI8UPYObc1Y1pLd994qpCN578MnKRts1usXER
 4w8eYIDy4ogxz/iWpFQ/OgjwiEnJNb1WsZs1r6rtsk5JTJIVLE+nE+cE+PCGcfnXdX5s
 iXNGJDqM73FMLVg+XxCmpYgpQAQA+mtikRvKUbObF0qZFl7MMmW0T7Xh/BsNPOvrtYAN 8w== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by mx0b-00069f02.pphosted.com with ESMTP id 3chk002qjw-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 24 Nov 2021 18:21:28 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.1.2/8.16.1.2) with SMTP id 1AOHvaoM002183;
 Wed, 24 Nov 2021 18:21:27 GMT
Received: from nam04-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam08lp2047.outbound.protection.outlook.com [104.47.74.47])
 by aserp3020.oracle.com with ESMTP id 3ceru7g083-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 24 Nov 2021 18:21:27 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=lgLGiTkCl1VZRFBpvcgt4rbLJMiZBZ7SG6RvnklP24Zt1BhFJ1fTI9ZYW5ggRqYKeVrSOMcpuH5MCn66OC9VivAmYj4rwC2YNdQQgy9OxzuoatYIcOS2F5M3sTvjcGQR3rpiCxUVNLyHqxGvbV2jlwwJZgsmhkhW+wk+PcGPVY901Bpq3J+Ew6DdxvaRipwjei3UWFC77KrDvtvv1FuASpX+oXv3BUsAFopvQZ1y8ccR/hOKIpLEVmt/6Wld9Xv2xhlKM/8vn1YY9C9trUgrne5BQznaVv3jxBo0J5bPNIl08FnVgDX9X78bpYUmiMmb7U6TTXAmjvep2ip7CY12VQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=rx3eNZIYeonGl1aJm+BAzqiKUpmGIeTdSBL+XoKvGSA=;
 b=KXycUNOBa/P7Xj4tUtQVPQGcQQTefmW5G371y3am49X9dsMw2HyieRzBpc3xVlyW/wz6ILkImP5mNZFjSgWOu+j31Mn9GP4G2wfRLhn7MpHowiA56Ujx4Lhcp1pwKh6cc7hQsqml8odQzwcmbiuqcEu2dMgRgD0C6ajlstFz2KWZr99kAXx9T11u4ZB5h9VV7Rvo/xR8UiHguu/3aqLDBVV1XC6TvUi7Mc6dV9kkXRYcUUvd1nCoA7ppVZyQ5OVRu/pmZcszX4oGudJ9Ng8VdnZoN79je12UHyB6FUekPT3DQB3Um5xyjKdHRdpqE3wyqhoYk5kHZP4nGjZqyfc65g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=rx3eNZIYeonGl1aJm+BAzqiKUpmGIeTdSBL+XoKvGSA=;
 b=LkjHVPnJuM4rlUV2H7m/oIcBNReGw6vUq31fw/1vtxadQa/PRQXIoEM8Bndxu7Cx0FnuXGrZatZ+HYHwld2dVi0dsvSkv8X8+oK9egWIha5kiUQAAMOJKZpCAxk4G0uDGZQjcBD6nVbW9LneSiYBuYFR/Z2C59uQl/vAe8gjlVw=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BYAPR10MB2520.namprd10.prod.outlook.com (2603:10b6:a02:b1::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4734.20; Wed, 24 Nov
 2021 18:21:25 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::4588:646c:e330:8bc0]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::4588:646c:e330:8bc0%7]) with mapi id 15.20.4713.026; Wed, 24 Nov 2021
 18:21:25 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Manuel Uberti <manuel.uberti@HIDDEN>, "52074 <at> debbugs.gnu.org"
 <52074 <at> debbugs.gnu.org>
Subject: RE: [External] : bug#52074: 29.0.50; Add key binding for find-library
Thread-Topic: [External] : bug#52074: 29.0.50; Add key binding for find-library
Thread-Index: AQHX4QUmlfvdov50QE2jeKfxN55y5qwS/bew
Date: Wed, 24 Nov 2021 18:21:25 +0000
Message-ID: <SJ0PR10MB54888A4A8CF310DC46F3EA94F3619@HIDDEN>
References: <8cbad051-6fa0-958a-d2a6-4ba1ab1b7361@HIDDEN>
In-Reply-To: <8cbad051-6fa0-958a-d2a6-4ba1ab1b7361@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: eddd8cc9-9408-4634-a3e4-08d9af7739eb
x-ms-traffictypediagnostic: BYAPR10MB2520:
x-microsoft-antispam-prvs: <BYAPR10MB2520FEB7E670051E888E0287F3619@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8882;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: wyE03p2ekP6EOpna1E9iwba48aOCdDwYWTzJFhrnX1GSmnw9R/mH0DgNUMLojEnqVz+NV8/qWxcIUND0EcVbYGolMdYOgRB6UoUS/CUkNYa5lgzp1hlj1GUbjeWUvwejsfm8pmk/0dgbi7MSB8K9HO1sTH26h/nRLjMi7YeeyqcgdwBE1pBvb6v5uecc8fvID3IdMmcJcBTvwA/zh9Rq9CWnRUlO8jZjQqA7yGP+P3j0rzrK5qauGJaXgPP7co78JeXn1S/6ZR/q/JunuDSNpUJPGLGKsU3sW39UVqdyMyH+lJCcgrxH6HoDWbPJTN/0Qpi38D4Cf4NdpcemI+18uS/DRJTOagqb4iosmjww5EgS+YL3Ls7+LDPQZUCapbxz/YPUu1520a8wXZzQlx7vT1pKH1H4MFyxzOjrNeLXIqz3jzgc53GKVcLnIUdz9EE/JdKFFE3fAR+u8yPqI5l0lYIny8cGcuDdpe8eIdvwDrexabk28VAhAYSQvAapSNFtICy9LcFf2O3HmIeCBACPnisBsXcsv3R9ci/6/9V7Js3yCl+MhVnUmGUv1wmfcfrTCJD/FJvMjTOjQbWJIjdlKv3WZIrCq+ppEd1WZkKmpUuMxd6ZUJbYgeFbo4UDPB1Tqbtv396q2+LEg8rH5PBBruZCg8odA7h2bNfLCwL5MhBZZEPPvHdC2bB1Qplow4cg9SV4eoMmYeN1Jsun0m/BOQ==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(64756008)(55016003)(122000001)(316002)(5660300002)(66446008)(110136005)(7696005)(66556008)(33656002)(44832011)(76116006)(9686003)(508600001)(38100700002)(38070700005)(8936002)(4744005)(66476007)(66946007)(26005)(71200400001)(86362001)(6506007)(186003)(2906002)(52536014)(8676002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?utf-8?B?NXA1cmpFK0xWKzluSDdDdG5NdU9URVNabFVNY3BDbWNIR2JkTy9aekRuVDVl?=
 =?utf-8?B?N29wUlNHMXU3dWFlVktQdkJmWFFDeURva1ozRFVKRUxxSGRlYjJteEV1VU5p?=
 =?utf-8?B?QmtERkpEZVo5RlhnYWtVckM2UlRNZjZiMUVWaGNJUFI0aXQybmpTRWtoeXNQ?=
 =?utf-8?B?SjJYQ096T1VPc3RrN2NPc1ViRCtLaTFOSXJNazhUbnBaK21ZdkUvQlVRZ1Bm?=
 =?utf-8?B?Q1BaS0xEc0FBQUJVbktFZ2ZUMTFWcWttWmxQUjBEZWVQRmVNb2M1cFFsNGcw?=
 =?utf-8?B?TkIvK2JIb1RwYnVneTdSSVJSVHJkRWIxeXlRbGIxVHhUcnJxdGNHK3Vra1ZW?=
 =?utf-8?B?dHFoU082Q2VUUGN3ZXZ6VVB1Vy8yd3pKNDBOQzZCalI0OGpsbS9XVXN5UWtZ?=
 =?utf-8?B?V3RRRkhWMDdyeW1vd0pVdk80bUY0VGVxTGN0VUxBRlpUemk1K3dRb1B6cXMr?=
 =?utf-8?B?aXN0NTVDMVhYUkNqNnhwcndVSm9YTng1YzY2MmpDeVcwOUgxckRXYnZSTVNZ?=
 =?utf-8?B?MWFIdGl4Z1MxV29sanZ0em1VUnIwb2IvdHEyQnlhQnRjaXE2WlVQd0pyWEFN?=
 =?utf-8?B?enFISmtmUEg2OVI3am5KbnFxQ3plZ1FYY1l6Y291b0ZwZGlid0VQZnZ4Smhn?=
 =?utf-8?B?RmFSRjMvMHdKTFA1RlFFQnNySGdCQWtHRkVEUU1icW03czdrOFQzSkdIMStJ?=
 =?utf-8?B?cjl0ZmczOGU0UjFpRzlxRjAxSU9TeEloazVFYnZlRTZKNkY3dm1xdHpPNXQw?=
 =?utf-8?B?aU1jVjg2K0FPd0pVcUxCSEl0d1JWbk5aTGZkZGhjWmY4TGxOK0ZhS0s1akFn?=
 =?utf-8?B?MG1iaEFEMzZvWXdUaXZaMTJQSHgyVnQ3S21vbWs0aGZxNUtMVUVObytHb1Vo?=
 =?utf-8?B?ZElQdVB4cjMxcnFMNXJ3L2xKenp5dFFHVzFQOGRqQ25RalNKdmh0VStCU1dC?=
 =?utf-8?B?bndzcnhLR09hTG9ZOUZpTXlnVXlWbzZ2NkZ2OHRDMk5JQ2c0dDNXeGpPOVJJ?=
 =?utf-8?B?REk1T0N4Q3Y3RHZWdGZXNmNDaXZZaGR2Q0Z3ZDBqWis5SHpSVCtJanZIWVNt?=
 =?utf-8?B?K3VKRVcxWmo5TVR2ajVYMEVQampiZmF2bVNGR2l0U2p4MGJaYUN0dVJLcERt?=
 =?utf-8?B?WlkwOWEwN3ZPY1JEV2dqaEdzRjFhMW5ZYnBXMWxaR1FPMldnOHk0R2JjaG9Y?=
 =?utf-8?B?Z0RmTXE5ZGE3K2RHVTVHdFkxYmt2b0pGTkw3akxyWVA3WG5xK0VDSmJQQ1Yr?=
 =?utf-8?B?dWhyeVphNmp3d1NPNjgrVEttLzhJeCtIY01SUHh0SkZXc1FBeXJaWDZkZ3dI?=
 =?utf-8?B?SFg4NUJncWYxdCtPdGEyWDhCd2MxV0VVSVlKWkcrRlNRUlZWdGZMRmtZWXFG?=
 =?utf-8?B?Mi82TDlVcTVsSmxJN284S2dNMnNocjRPRUNmMDI2OWxxUjc1RG83RngwUWtw?=
 =?utf-8?B?NlNIUkpZNjhVVEVXeWhYOHlWcE9VaSsvbmNoU2d4Y2J5MjRIR1R2Zlo1QlNx?=
 =?utf-8?B?SmJWNTlSelFkcEJGUjFDeFVva1haTTk0MUtGK0l3RFNKUUEzdmdlMFRqRFQy?=
 =?utf-8?B?dEVqUUhoS0JUYnUvTVVLS1EyTjZHK3lTS0lMcnlhS3NpM2pjemZyR09xdUk3?=
 =?utf-8?B?TmxKRFZpR1lyMXY1RTRpSkFYdUpyaVZ4QWNkZGUrR2JaVFphZkl5QnY2WDVR?=
 =?utf-8?B?YzBEUHlHR3d2YkRHVHlCQlFRUkJZdFVXaHhMMDhrZkphNFRodzdKWThQTkhw?=
 =?utf-8?B?SDRSSXl3NUNMYXBvRXFnVndBS0hlc1ltTHBGbGZLOVl6NzNzQWlOckZNczZa?=
 =?utf-8?B?R3pUVERpd2Vmc0ZJV2tiR1V5K2RESVRFT1Znb0k5eUVUQWF5M2dpU2RIN2ZT?=
 =?utf-8?B?VGFGZWY2M3FvOCtnLzU1QlpxN09sOFY1REJWcDZPYlVBQjVFRWl6ZFEyTmZx?=
 =?utf-8?B?akMwam9HSkgwVjR2RE9IZDNSc3B1MlhKNEFnT0JKa0F1QTVoU09KbHBRdnhw?=
 =?utf-8?B?Nmg0ZUNlMGYwcFkvYy9PUTF3WFpNMXlkUjFXSW40QjJBVWVyRy9EVExYd1dz?=
 =?utf-8?B?V0tlM2cvN1czRHU2dy9PK0puU0I5WG53Vk9tWUVhMTBkdmoyYlhwQng5c0Rt?=
 =?utf-8?B?YzR2bGdhQllSL3RXZnpIb3hWNDZsWTlhQVJ3QkNBWEZ5ZWlPUEt4eWdyU296?=
 =?utf-8?B?dHc9PQ==?=
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: eddd8cc9-9408-4634-a3e4-08d9af7739eb
X-MS-Exchange-CrossTenant-originalarrivaltime: 24 Nov 2021 18:21:25.6074 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: MoIpH7Msh2TouqUClSzD/tsXElCj9Tw15xT6NGTyBNjV3jvMfHujdLu4soBX6KlwzyUKN7SRIf5joSV0AZ4iYQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BYAPR10MB2520
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10178
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 mlxscore=0 spamscore=0
 mlxlogscore=999 malwarescore=0 phishscore=0 adultscore=0 bulkscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2110150000
 definitions=main-2111240095
X-Proofpoint-ORIG-GUID: t7-OKctRvUw5isNm2EBXV0VjTb-VRB-n
X-Proofpoint-GUID: t7-OKctRvUw5isNm2EBXV0VjTb-VRB-n
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52074
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

PiBJIHdhcyBqdXN0IHdvbmRlcmluZyBpZiB0byBhbnlvbmUgb3RoZXIgdGhhbiBtZSBpdCB3b3Vs
ZCBtYWtlIHNlbnNlIHRvIGhhdmUNCj4gYSBkZWZhdWx0IGtleSBiaW5kaW5nIGZvciBmaW5kLWxp
YnJhcnkuIFRoaXMgaXMgc29tZXRoaW5nIEkgdXNlIHJlZ3VsYXJseSB0bw0KPiBleHBsb3JlIHRo
ZSBzb3VyY2UgY29kZSBvZiBidWlsdC1pbiBmZWF0dXJlcyBhbmQgZXh0ZXJuYWwgcGFja2FnZXMg
dG8NCj4gdW5kZXJzdGFuZCBtb3JlIGFib3V0IHRoZW0uDQo+IA0KPiBJbiBteSBpbml0LmVsLCBJ
IGhhdmUgdGhpcyBzZXR0aW5nOg0KPiAoa2V5bWFwLWdsb2JhbC1zZXQgIkMtaCBDLWwiICMnZmlu
ZC1saWJyYXJ5KQ0KPiANCj4gSSBwaWNrZWQgdGhpcyBrZXkgYmluZGluZyBmb3IgbW5lbW9uaWMg
cmVhc29ucyAoaCAtPiBoZWxwLCBsIC0+IGxpYnJhcnkpIGFuZA0KPiBiZWNhdXNlICdDLWggQy1s
JyBzZWVtcyB0byBiZSB1bmJvdW5kIGluIGVtYWNzIC1RLg0KPiANCj4gV2hhdCBkbyB5b3UgdGhp
bms/DQoNClllcy4gU2VlIGJ1ZyAjNTEyNDAuIEkgdXNlIGBDLXggNCBsJyBmb3IgbXkNCmBmaW5k
LWxpYnJhcnktb3RoZXItd2luZG93Jy4gIChJIGFsbW9zdCBuZXZlcg0Kd2FudCB0byBzd2l0Y2gg
dG8gdGhlIGxpYnJhcnkgaW4gdGhlIHNhbWUgd2luZG93LikNCg==




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52074; Package emacs. Full text available.

Message received at 52074 <at> debbugs.gnu.org:


Received: (at 52074) by debbugs.gnu.org; 24 Nov 2021 17:16:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 24 12:16:29 2021
Received: from localhost ([127.0.0.1]:54861 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpvsj-0001PT-0s
	for submit <at> debbugs.gnu.org; Wed, 24 Nov 2021 12:16:29 -0500
Received: from quimby.gnus.org ([95.216.78.240]:59210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mpvse-0001PB-Hy
 for 52074 <at> debbugs.gnu.org; Wed, 24 Nov 2021 12:16:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=TR3vr0okTfY+J13Xp2HAC0MNVMno4Cw6rJpnJNwZU7Y=; b=kedHr9Lft8esdEXKYVbNdpwKoN
 9i508kkrxWAU1OWDXm13pcEdQ1FcrQoiI3x0WSo920Ugrhec/Z9bj6FL8aDvBV4NYDWvF26LKnZsj
 5SvM2U18yZRdZ0/4j8hmoPNYiEBIJ5yTpYbh0ZrZ4eER1jTVCV0l27j+hioe4cevQXAA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mpvsU-0003sc-HC; Wed, 24 Nov 2021 18:16:17 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Manuel Uberti <manuel.uberti@HIDDEN>
Subject: Re: bug#52074: 29.0.50; Add key binding for find-library
References: <8cbad051-6fa0-958a-d2a6-4ba1ab1b7361@HIDDEN>
 <87h7c2vx2p.fsf@HIDDEN>
 <86814524-852c-d65b-cb05-86cc0f274d9b@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEXJyMayr7OWlKBX
 V2P28xr///9HRQ2EAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+ULGA8LEwQ2sdgAAAG0SURBVDjLrZPr
 deQwCIWFtwHADRipgYzoYE/6r2kvV35McpJ/y5mxZX1CvFu7RMXMVM+vrb2JgJrhKVbrc88oahJc
 eN1B5H12SuI/C0isS2szYsFOUCqqVhRXrCvdsYsteCMqTeyUEKfReqjIZR+u2dZON8q9S0HpFZey
 vt6EQCsi+w5g25AOpdqjWBpCh+Xe1cqDNw/4yR9UgmoVz51E7AB5WHgxebIrfuCh1geve0v7HqUX
 e97ZvVSYLSGAPj/krVp7hsDJpx4MHu/McD+vKtfX22A7P+qUPxYq9CZb5utLH+hKraK0syokzRY5
 Tq25ZyrbZx3c4mynHJnHA2yfKvQgIVPuQtmKl2HMnMjyfmugA2ox8gBoMp6Oseoqz/zY42iSdCWu
 giK8MbeM9ie/1Xpkz8gJmzeIar8OlyrEGASXEQ+HQskFgl1A7gR9zGZ3w+JAh3WCPphitADOR8cb
 YNSgDLaBEZh3wJzj5QSqZyRRg2P5Gq/uAOw7GudIGXKFeQKgM6UgNWHlVa+ACtTi0uBwcvVMMpLo
 lcX+qnT66o2ouULgYGNN7d4+f5a/v4HP/wj+AQY+Z1k/V1ZPAAAAJXRFWHRkYXRlOmNyZWF0ZQAy
 MDIxLTExLTI0VDE1OjExOjE5KzAwOjAwXmLGugAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0xMS0y
 NFQxNToxMToxOSswMDowMC8/fgYAAAAASUVORK5CYII=
X-Now-Playing: DJ Rupture's _Curiosity Slowdown_: "Curiosity Slowdown (part 3)"
Date: Wed, 24 Nov 2021 18:16:14 +0100
In-Reply-To: <86814524-852c-d65b-cb05-86cc0f274d9b@HIDDEN> (Manuel
 Uberti's message of "Wed, 24 Nov 2021 08:26:11 +0100")
Message-ID: <87k0gxwk2p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Manuel Uberti <manuel.uberti@HIDDEN> writes: > You're
 right. What about using a prefix like C-x 7 and add something like: > > -
 C-x 7 l for find-library > > Then these can be considered as well: > > -
 C-x 7 f for find-function > - C-x 7 v for fi [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52074
Cc: 52074 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Manuel Uberti <manuel.uberti@HIDDEN> writes:

> You're right. What about using a prefix like C-x 7 and add something like:
>
> - C-x 7 l for find-library
>
> Then these can be considered as well:
>
> - C-x 7 f for find-function
> - C-x 7 v for find-variable

Hm...  We've got a variety of stuff on `C-x <num>', but mostly things
that deal with windows/tabs/frames.  But perhaps it might make sense to
put a `find-*' keymap there.

Phil Sainty <psainty@HIDDEN> writes:

> FWIW I use this same binding, and in my mind it makes excellent sense
> to use C-h C-l for `find-library' if you also have:
>
> C-h C-v for `find-variable'
> C-h C-f for `find-function'
> C-h C-k for `find-function-on-key'
>
> All of which feel (to me) analogous to C-h v, C-h f, and C-h k: Without
> the Ctrl modifier you view the docstrings; with it you view the code.

Unfortunately `C-h C-f' is taken, but this makes sense.

> (Admittedly C-h l is unconnected, but that hasn't bothered me.
> Following
> my pattern that would probably be bound to `finder-commentary', but I'm
> not suggesting we move `view-lossage' elsewhere.)
>
> I guess my main point is that I do think of *all* of these things as
> help-related, as I consider reading the code as just the next step up
> from reading the docstrings.

That's a good point.

I doubt `C-h C-f' is used that often, so perhaps we could consider
moving it and binding these four find-* commands to the `C-h' map.

Anybody else with opinions or ideas here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52074; Package emacs. Full text available.

Message received at 52074 <at> debbugs.gnu.org:


Received: (at 52074) by debbugs.gnu.org; 24 Nov 2021 12:01:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 24 07:01:12 2021
Received: from localhost ([127.0.0.1]:53377 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpqxc-0003TE-BQ
	for submit <at> debbugs.gnu.org; Wed, 24 Nov 2021 07:01:12 -0500
Received: from smtp-1.orcon.net.nz ([60.234.4.34]:55453)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>) id 1mpqxX-0003T3-Is
 for 52074 <at> debbugs.gnu.org; Wed, 24 Nov 2021 07:01:11 -0500
Received: from [10.253.37.70] (port=35522 helo=webmail.orcon.net.nz)
 by smtp-1.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>)
 id 1mpqxK-0001ee-Qs; Thu, 25 Nov 2021 01:00:55 +1300
Received: from ip-115-69-175-77.kinect.net.nz ([115.69.175.77])
 via [10.253.37.253] by webmail.orcon.net.nz
 with HTTP (HTTP/1.1 POST); Thu, 25 Nov 2021 01:00:54 +1300
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Thu, 25 Nov 2021 01:00:54 +1300
From: Phil Sainty <psainty@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#52074: 29.0.50; Add key binding for find-library
In-Reply-To: <87h7c2vx2p.fsf@HIDDEN>
References: <8cbad051-6fa0-958a-d2a6-4ba1ab1b7361@HIDDEN>
 <87h7c2vx2p.fsf@HIDDEN>
Message-ID: <ad138a4baf70733357e3b5493dfebff2@HIDDEN>
X-Sender: psainty@HIDDEN
User-Agent: Orcon Webmail
X-GeoIP: --
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52074
Cc: Manuel Uberti <manuel.uberti@HIDDEN>, 52074 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2021-11-24 20:20, Lars Ingebrigtsen wrote:
> Manuel Uberti <manuel.uberti@HIDDEN> writes:
>> I picked this key binding for mnemonic reasons (h -> help, l ->
>> library) and because 'C-h C-l' seems to be unbound in emacs -Q.
> 
> Hm...  Finding a library isn't exactly a help command, so I think it
> would be somewhat confusing to put it there.  But I don't have a good
> suggestion for where to put otherwise.

Library commentaries are one of the primary sources of documentation
in Emacs, so I think it's pretty help-related.

FWIW I use this same binding, and in my mind it makes excellent sense
to use C-h C-l for `find-library' if you also have:

C-h C-v for `find-variable'
C-h C-f for `find-function'
C-h C-k for `find-function-on-key'

All of which feel (to me) analogous to C-h v, C-h f, and C-h k: Without
the Ctrl modifier you view the docstrings; with it you view the code.

(Admittedly C-h l is unconnected, but that hasn't bothered me.  
Following
my pattern that would probably be bound to `finder-commentary', but I'm
not suggesting we move `view-lossage' elsewhere.)

I guess my main point is that I do think of *all* of these things as
help-related, as I consider reading the code as just the next step up
from reading the docstrings.


-Phil





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52074; Package emacs. Full text available.

Message received at 52074 <at> debbugs.gnu.org:


Received: (at 52074) by debbugs.gnu.org; 24 Nov 2021 07:26:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 24 02:26:17 2021
Received: from localhost ([127.0.0.1]:52886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpmfZ-0000NX-4G
	for submit <at> debbugs.gnu.org; Wed, 24 Nov 2021 02:26:17 -0500
Received: from latitanza.investici.org ([82.94.249.234]:58521)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1mpmfW-0000NM-JL
 for 52074 <at> debbugs.gnu.org; Wed, 24 Nov 2021 02:26:15 -0500
Received: from mx3.investici.org (unknown [127.0.0.1])
 by latitanza.investici.org (Postfix) with ESMTP id 4HzXcN1dQszGp2y;
 Wed, 24 Nov 2021 07:26:12 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1637738772;
 bh=edVNFIW6vWgbUP9Gh9hMw730cEEJcexEWA+m1Ag9Rf8=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=Sq8mrqTJcYN7+CBpmsATwvAo/r72v39F4XjN4F5yc7sIyxsHQsFywyBkfE10dEc21
 ZlLd3FF0WkYmBJzTCZJVaH8A/igGC97zlKo6VJlWwGKs5gGVlrQjPpprF5JZYHehmg
 cD9Me2609yftk5sJ+KD23tZrAkRIP2oTbVkmrIwI=
Received: from [82.94.249.234] (mx3.investici.org [82.94.249.234])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4HzXcN0Q9bzGp3r; 
 Wed, 24 Nov 2021 07:26:12 +0000 (UTC)
Subject: Re: bug#52074: 29.0.50; Add key binding for find-library
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <8cbad051-6fa0-958a-d2a6-4ba1ab1b7361@HIDDEN>
 <87h7c2vx2p.fsf@HIDDEN>
From: Manuel Uberti <manuel.uberti@HIDDEN>
Message-ID: <86814524-852c-d65b-cb05-86cc0f274d9b@HIDDEN>
Date: Wed, 24 Nov 2021 08:26:11 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.14.0
MIME-Version: 1.0
In-Reply-To: <87h7c2vx2p.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 52074
Cc: 52074 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

On 24/11/21 08:20, Lars Ingebrigtsen wrote:
> Hm...  Finding a library isn't exactly a help command, so I think it
> would be somewhat confusing to put it there.  But I don't have a good
> suggestion for where to put otherwise.

You're right. What about using a prefix like C-x 7 and add something like:

- C-x 7 l for find-library

Then these can be considered as well:

- C-x 7 f for find-function
- C-x 7 v for find-variable

-- 
Manuel Uberti
www.manueluberti.eu




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52074; Package emacs. Full text available.

Message received at 52074 <at> debbugs.gnu.org:


Received: (at 52074) by debbugs.gnu.org; 24 Nov 2021 07:20:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 24 02:20:59 2021
Received: from localhost ([127.0.0.1]:52870 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpmaR-0000F9-Ke
	for submit <at> debbugs.gnu.org; Wed, 24 Nov 2021 02:20:59 -0500
Received: from quimby.gnus.org ([95.216.78.240]:54044)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mpmaQ-0000Ev-2G
 for 52074 <at> debbugs.gnu.org; Wed, 24 Nov 2021 02:20:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=fXaqYcfrMnFINAo1IgnLccXcf6j3yYMEkYg2qhqUCuc=; b=p53HH9vKwAekngD2S+VBD0i3q2
 +40RyqGzLyODjNNzX2u68WxBCRHS+azEMlJImUe4c+ChBYzWvPeZc5beS5sJd8I4Z+fcC3fNWB4Pq
 V3Ya6DuytczTPayLdmb94xG1cc8k4k28vx0DaNSPZofB7ZnUV7vJxkj3HmHmOAGDAHRE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mpmaG-0007WG-WE; Wed, 24 Nov 2021 08:20:51 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Manuel Uberti <manuel.uberti@HIDDEN>
Subject: Re: bug#52074: 29.0.50; Add key binding for find-library
References: <8cbad051-6fa0-958a-d2a6-4ba1ab1b7361@HIDDEN>
X-Now-Playing: Irreversible Entanglements's _Open The Gates_: "Open the Gates"
Date: Wed, 24 Nov 2021 08:20:46 +0100
In-Reply-To: <8cbad051-6fa0-958a-d2a6-4ba1ab1b7361@HIDDEN> (Manuel
 Uberti's message of "Wed, 24 Nov 2021 07:54:25 +0100")
Message-ID: <87h7c2vx2p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Manuel Uberti <manuel.uberti@HIDDEN> writes: > I was
 just wondering if to anyone other than me it would make sense to > have a
 default key binding for find-library. This is something I use > regularly
 to explore the source code of built-in featu [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52074
Cc: 52074 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Manuel Uberti <manuel.uberti@HIDDEN> writes:

> I was just wondering if to anyone other than me it would make sense to
> have a default key binding for find-library. This is something I use
> regularly to explore the source code of built-in features and external
> packages to understand more about them.

Yes, it's a useful command, so perhaps we should have a default binding
for it.

> In my init.el, I have this setting:
>
> (keymap-global-set "C-h C-l" #'find-library)
>
> I picked this key binding for mnemonic reasons (h -> help, l ->
> library) and because 'C-h C-l' seems to be unbound in emacs -Q.

Hm...  Finding a library isn't exactly a help command, so I think it
would be somewhat confusing to put it there.  But I don't have a good
suggestion for where to put otherwise.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52074; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Nov 2021 06:54:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 24 01:54:46 2021
Received: from localhost ([127.0.0.1]:52831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpmB4-0005kp-7C
	for submit <at> debbugs.gnu.org; Wed, 24 Nov 2021 01:54:46 -0500
Received: from lists.gnu.org ([209.51.188.17]:51552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel.uberti@HIDDEN>) id 1mpmB0-0005kc-Kp
 for submit <at> debbugs.gnu.org; Wed, 24 Nov 2021 01:54:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33008)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <manuel.uberti@HIDDEN>)
 id 1mpmAz-00073R-TZ
 for bug-gnu-emacs@HIDDEN; Wed, 24 Nov 2021 01:54:42 -0500
Received: from devianza.investici.org ([198.167.222.108]:46553)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <manuel.uberti@HIDDEN>)
 id 1mpmAw-000680-HK
 for bug-gnu-emacs@HIDDEN; Wed, 24 Nov 2021 01:54:41 -0500
Received: from mx2.investici.org (unknown [127.0.0.1])
 by devianza.investici.org (Postfix) with ESMTP id 4HzWvl0ZwBz6vJd
 for <bug-gnu-emacs@HIDDEN>; Wed, 24 Nov 2021 06:54:27 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=inventati.org;
 s=stigmate; t=1637736867;
 bh=cbkO2et0NwnARF0E0QTVIF1bzXx3Ar7hNfO7TSGZUZc=;
 h=To:Subject:From:Date:From;
 b=mLZVrhlqyon5dlYdCoQe0B0T4YVesCw2O0Wt+ziS1k+jox6Zc0JrOVQJoTNU5Nl+o
 z+RrQRixTvWWalILUh6Xi7Yz7io4KXk6l2rxqj46voYn98jsOXiGgbfS8tx3VRIeMw
 yaj2VRGp7ONw33JXScf6Suf/Up7BIePmhrvHxsNw=
Received: from [198.167.222.108] (mx2.investici.org [198.167.222.108])
 (Authenticated sender: manuel.uberti@HIDDEN) by localhost (Postfix)
 with ESMTPSA id 4HzWvk6kVyz6vHw
 for <bug-gnu-emacs@HIDDEN>; Wed, 24 Nov 2021 06:54:26 +0000 (UTC)
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Add key binding for find-library
From: Manuel Uberti <manuel.uberti@HIDDEN>
Message-ID: <8cbad051-6fa0-958a-d2a6-4ba1ab1b7361@HIDDEN>
Date: Wed, 24 Nov 2021 07:54:25 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.14.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=198.167.222.108;
 envelope-from=manuel.uberti@HIDDEN; helo=devianza.investici.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hello everyone,

I was just wondering if to anyone other than me it would make sense to have a 
default key binding for find-library. This is something I use regularly to 
explore the source code of built-in features and external packages to understand 
more about them.

In my init.el, I have this setting:

(keymap-global-set "C-h C-l" #'find-library)

I picked this key binding for mnemonic reasons (h -> help, l -> library) and 
because 'C-h C-l' seems to be unbound in emacs -Q.

What do you think?

-- 
Manuel Uberti
www.manueluberti.eu



In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.18, cairo 
version 1.16.0)
  of 2021-11-24 built on hathaway
Repository revision: d112c75f53c690e6f13ec3b340dbc384425bb04d
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Ubuntu 20.04 LTS

Configured using:
  'configure --with-harfbuzz --with-native-compilation'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF
TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
   value of $LC_MONETARY: it_IT.UTF-8
   value of $LC_NUMERIC: it_IT.UTF-8
   value of $LC_TIME: it_IT.UTF-8
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: @im=ibus
   locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
   electric-pair-mode: t
   savehist-mode: t
   global-so-long-mode: t
   global-subword-mode: t
   subword-mode: t
   windmove-mode: t
   winner-mode: t
   global-company-mode: t
   company-mode: t
   envrc-global-mode: t
   envrc-mode: t
   fido-vertical-mode: t
   icomplete-vertical-mode: t
   icomplete-mode: t
   fido-mode: t
   delete-selection-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   show-paren-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   window-divider-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
/home/manuel/.emacs.d/elpa/transient-0.3.7.0.20211105.10020/transient hides 
/usr/local/share/emacs/29.0.50/lisp/transient

Features:
(shadow sort mail-extr emacsbug message yank-media rmc puny rfc822 mml
mml-sec epa derived epg rfc6068 epg-config gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mailabbrev gmm-utils
mailheader sendmail mail-utils completion dos-w32 find-cmd grep
find-dired eieio-opt speedbar ezimage dframe shortdoc help-fns
radix-tree hl-line ibuf-ext ibuffer ibuffer-loaddefs add-log log-view
pcvs-util vc-dir ewoc pp vc-git diff-mode vc vc-dispatcher noutline
outline easy-mmode checkdoc lisp-mnt mail-parse rfc2231 rfc2047 rfc2045
mm-util ietf-drums mail-prsvr dired-x dired dired-loaddefs view
elec-pair flymake-proc flymake compile text-property-search comint
flyspell ispell goto-addr jka-compr cursor-sensor thingatpt find-func
time-date modus-vivendi-theme modus-themes delight comp comp-cstr
warnings cl-extra help-mode savehist so-long cap-words superword subword
windmove winner company-oddmuse company-keywords company-etags etags
fileloop generator xref project ring company-gtags company-dabbrev-code
company-dabbrev company-files company-clang company-capf company-cmake
company-semantic company-template company-bbdb company pcase envrc
inheritenv ansi-color icomplete ibuf-macs rx delsel info tex-site
package browse-url url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json map url-vars seq gv subr-x byte-opt bytecomp
byte-compile cconv cl-loaddefs cl-lib iso-transl tooltip eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice
button loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 288911 46166)
  (symbols 48 18679 1)
  (strings 32 60963 4075)
  (string-bytes 1 2148371)
  (vectors 16 30316)
  (vector-slots 8 561302 16807)
  (floats 8 188 703)
  (intervals 56 677 0)
  (buffers 992 15))

-- 
Manuel Uberti
www.manueluberti.eu




Acknowledgement sent to Manuel Uberti <manuel.uberti@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52074; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Nov 2021 18:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.